Track

Track Link


Behaviour

This API is designed to track and proxy link clicks. It starts by extracting request data from the Base64-encoded url parameter. The extracted data is validated against a shared secret hash, logged as a tracked request linked to the user's data, and then redirects the user to the original URL.

Example request data

{
    "clientId": "CORTEX",
    "sourceSystem": "campaigns",
    "sourceSystemId": "2ee98a76-15de-535d-99d0-9761536863ae",
    "originalUrl": "https://www.cortextech.io/",
    "authId": 123456,
    "metadata": {
        "promoBlockName"  : "Test Campaign",
        "rulesetId" : "5ece7bc30a892d37b4c16a8e",
        "rulesetName" : "User must be from the Maldives",
        "promoBlockVersion" : 1
    }
}

Authentication

Authentication is not required for this API.


Query Parameters

This API requires three query parameters to validate, track, and redirect the request.

  • url includes the request data base64 encoded.

  • t the timestamp of the request represented in unix epoch.

  • hash the contents of the tracked request hashed with a private secret.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
integer
string
Headers
string
Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!